Đến nội dung


Hình ảnh
- - - - -

[Hỏi] tìm lisp đo diện tích trong diễn đàn


  • Please log in to reply
5 replies to this topic

#1 quochuyksxd

quochuyksxd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 201 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 23 July 2013 - 08:36 AM

Xin cho em hỏi trong diễn đàn có lisp nào để tính diện tích 1 hình kín và chèn giá trị vào text có sẵn không ah? em tìm mãi mà không có. có bác nào biết share cho em giùm được không ah? em làm quy hoạch chia lô nền rất lisp này.


  • 0

#2 trangnhung

trangnhung

    biết vẽ pline

  • Members
  • PipPip
  • 60 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 23 July 2013 - 08:56 AM

Của bạn đây: lệnh Muhttp://www.cadviet.c...58_dientich.lsp


  • 0

#3 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 23 July 2013 - 09:02 AM

Quick code cho bạn.

(defun C:HA( / ent1 ent2 elist)
 (vl-load-com)
 (while
  (and
   (setq ent1 (car (entsel "\nChon hinh kin: ")))
   (setq ent2 (car (entsel "\nChon Text de ghi: "))))
  (setq elist (entget ent2))
  (entmod (subst (cons 1 (rtos (vla-get-Area (vlax-ename->vla-object ent1)) 2 2)) (assoc 1 elist) elist)))
 (princ))
 

  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#4 quochuyksxd

quochuyksxd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 201 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 23 July 2013 - 09:04 AM

Lisp này khó sử dụng quá bạn ơi. Có lisp nào đơn giản thôi. Chỉ việc chọn vào hình kín (chỉ chọn thôi chứ không pick trong miền kín của hình đó) và chọn vào text để ghi kết quả (có thể làm tròn tới 2 số thập phân, VD: 250.35).


  • 0

#5 quochuyksxd

quochuyksxd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 201 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 23 July 2013 - 09:06 AM

Quick code cho bạn.

 

(defun C:HA( / ent1 ent2 elist)
 (vl-load-com)
 (while
  (and
   (setq ent1 (car (entsel "\nChon hinh kin: ")))
   (setq ent2 (car (entsel "\nChon Text de ghi: "))))
  (setq elist (entget ent2))
  (entmod (subst (cons 1 (rtos (vla-get-Area (vlax-ename->vla-object ent1)) 2 2)) (assoc 1 elist) elist)))
 (princ))
 

Cám ơn bác Hà nhé. đúng ý em luôn.


  • 0

#6 quochuyksxd

quochuyksxd

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 201 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 23 July 2013 - 09:19 AM

Bác Hà có thể thêm đoạn code chèn tiếp ngữ cuối là m2 vào text cần chèn giá trị cho lisp trên được không ah? 


  • 0